(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      4271,        144]
NotebookOptionsPosition[      3866,        127]
NotebookOutlinePosition[      4210,        142]
CellTagsIndexPosition[      4167,        139]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.425046460796875*^9, 3.42504648321875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"EQ", "=", 
   RowBox[{"V", "\[Equal]", 
    RowBox[{
     RowBox[{"R", " ", 
      RowBox[{"i", "[", "t", "]"}]}], "+", 
     RowBox[{"L", " ", 
      RowBox[{
       RowBox[{"i", "'"}], "[", "t", "]"}]}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"val", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R", "\[Rule]", "100"}], ",", 
     RowBox[{"L", "\[Rule]", "20"}], ",", 
     RowBox[{"Io", "\[Rule]", "0"}], ",", 
     RowBox[{"V", "\[Rule]", "10"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.425046496*^9, 3.425046588640625*^9}, {
  3.425046647703125*^9, 3.4250466726875*^9}, {3.42504677159375*^9, 
  3.425046818796875*^9}, {3.4250468856875*^9, 3.425046887609375*^9}}],

Cell[BoxData[{
 RowBox[{"dsol", "=", 
  RowBox[{"DSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"EQ", ",", 
      RowBox[{
       RowBox[{"i", "[", "0", "]"}], "\[Equal]", "Io"}]}], "}"}], ",", 
    RowBox[{"i", "[", "t", "]"}], ",", "t"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"i", "[", "t", "]"}], "/.", "dsol"}], "/.", "val"}], "//", 
  "Simplify"}]}], "Input",
 CellChangeTimes->{{3.425046592390625*^9, 3.425046715328125*^9}, {
  3.425046850953125*^9, 3.4250468679375*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"i", "[", "t", "]"}], "/.", "dsol"}], "/.", "val"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "3"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<\!\(\*
StyleBox[\"t\",
FontSize->24,
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"(\",
FontSize->16,
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"second\",
FontSize->16,
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\")\",
FontSize->16,
FontColor->RGBColor[1, 0, 0]]\)\>\"", ",", "\"\<\!\(\*
StyleBox[\"I\",
FontSize->24,
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"(\",
FontSize->10,
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"Amper\",
FontSize->18,
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\")\",
FontSize->18,
FontColor->RGBColor[1, 0, 0]]\)\>\""}], 
     StyleBox["}",
      FontSize->16]}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.425047004015625*^9, {3.425047478953125*^9, 3.4250474864375*^9}, {
   3.425047563484375*^9, 3.425047746734375*^9}}],

Cell[TextData[{
 StyleBox["\:0645\:0637\:0627\:0644\:0628 \:0648 \:062a\:0648\:0636\:064a\
\:062d\:0627\:062a \:0628\:064a\:0634\:062a\:0631 \:062f\:0631\n",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[ButtonBox["math2pc.persianblog.ir\n",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://www.math2pc.persianblog.ir"], None}],
  FontColor->RGBColor[0, 0, 1]],
 ButtonBox["math2pc.blog.ir",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://math2pc.blog.ir"], None},
  ButtonNote->"http://math2pc.blog.ir"]
}], "Text",
 CellChangeTimes->{{3.7447294760878*^9, 3.7447295059820004`*^9}, {
  3.7447295847976*^9, 3.7447295872488003`*^9}, {3.7447296318258*^9, 
  3.7447296338900003`*^9}, {3.7447297237511997`*^9, 3.7447297237511997`*^9}},
 TextAlignment->Center,
 TextJustification->0,
 FontSize->24]
},
WindowSize->{615, 527},
WindowMargins->{{48, Automatic}, {Automatic, 60}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 138, 2, 31, "Input"],
Cell[686, 24, 739, 21, 52, "Input"],
Cell[1428, 47, 529, 15, 52, "Input"],
Cell[1960, 64, 1090, 39, 67, "Input"],
Cell[3053, 105, 809, 20, 101, "Text"]
}
]
*)

(* End of internal cache information *)
