(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      7961,        272]
NotebookOptionsPosition[      7339,        249]
NotebookOutlinePosition[      7705,        265]
CellTagsIndexPosition[      7662,        262]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input"],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    FractionBox["dV", "dt"], " ", "=", " "}], TraditionalForm]],
  FontSize->24,
  FontSlant->"Italic"],
 StyleBox["R ",
  FontSize->24,
  FontSlant->"Italic"],
 Cell[BoxData[
  FormBox[
   RowBox[{
    FractionBox["dI", "dt"], " "}], TraditionalForm]],
  FontSize->24,
  FontSlant->"Italic"],
 StyleBox["+L ",
  FontSize->24,
  FontSlant->"Italic"],
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{
     SuperscriptBox["d", "2"], "I"}], 
    SuperscriptBox["dt", "2"]], TraditionalForm]],
  FontSize->24,
  FontSlant->"Italic"],
 StyleBox[" + ",
  FontSize->24,
  FontSlant->"Italic"],
 Cell[BoxData[
  FormBox[
   FractionBox["I", "C"], TraditionalForm]],
  FontSize->24,
  FontSlant->"Italic"],
 "\n",
 StyleBox["or\n",
  FontSize->16],
 StyleBox["V = ",
  FontSize->24,
  FontSlant->"Italic"],
 Cell[BoxData[
  FormBox[
   FractionBox[
    RowBox[{
     SuperscriptBox["d", "2"], "q"}], 
    SuperscriptBox["dt", "2"]], TraditionalForm]],
  FontSize->24,
  FontSlant->"Italic"],
 StyleBox[" + ",
  FontSize->24,
  FontSlant->"Italic"],
 Cell[BoxData[
  FormBox[
   FractionBox["R", "L"], TraditionalForm]],
  FontSize->24,
  FontSlant->"Italic"],
 StyleBox[" ",
  FontSize->24,
  FontSlant->"Italic"],
 Cell[BoxData[
  FormBox[
   FractionBox["dq", "dt"], TraditionalForm]],
  FontSize->24,
  FontSlant->"Italic"],
 StyleBox[" + ",
  FontSize->24,
  FontSlant->"Italic"],
 Cell[BoxData[
  FormBox[
   FractionBox["1", "LC"], TraditionalForm]],
  FontSize->24,
  FontSlant->"Italic"],
 StyleBox[" q",
  FontSize->24,
  FontSlant->"Italic"],
 "\n"
}], "Text",
 CellChangeTimes->{{3.425062989171875*^9, 3.42506344428125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"EQ", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"q", "''"}], "[", "t", "]"}], "+", 
     RowBox[{
      FractionBox["R", "L"], " ", 
      RowBox[{
       RowBox[{"q", "'"}], "[", "t", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"L", " ", "c"}]], " ", 
      RowBox[{"q", "[", "t", "]"}]}]}], "\[Equal]", "V"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"val", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R", "\[Rule]", "100"}], ",", 
     RowBox[{"L", "\[Rule]", "20"}], ",", 
     RowBox[{"c", "\[Rule]", 
      RowBox[{"1", "*", 
       SuperscriptBox["10", 
        RowBox[{"-", "6"}]]}]}], ",", 
     RowBox[{"V", "\[Rule]", "0"}], ",", 
     RowBox[{
      SubscriptBox["i", "0"], "\[Rule]", ".2"}], ",", 
     RowBox[{
      SubscriptBox["Q", "0"], "\[Rule]", "0"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.42504600259375*^9, 3.425046024203125*^9}, {
  3.42504796790625*^9, 3.425047995078125*^9}, {3.431129040125*^9, 
  3.431129044078125*^9}}],

Cell[BoxData[{
 RowBox[{"dsol", "=", 
  RowBox[{
   RowBox[{"DSolve", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"EQ", ",", 
       RowBox[{
        RowBox[{"q", "[", "0", "]"}], "\[Equal]", 
        SubscriptBox["Q", "0"]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"q", "'"}], "[", "0", "]"}], "\[Equal]", 
        SubscriptBox["i", "0"]}]}], "}"}], ",", 
     RowBox[{"q", "[", "t", "]"}], ",", "t"}], "]"}], "//", 
   "FullSimplify"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"q", "[", "t", "]"}], "/.", "dsol"}], "/.", "val"}]}], "Input",
 CellChangeTimes->{
  3.421858525640625*^9, {3.425045120375*^9, 3.425045147015625*^9}, {
   3.425045182734375*^9, 3.425045213046875*^9}, {3.425045266171875*^9, 
   3.425045268109375*^9}, {3.42504531359375*^9, 3.42504531434375*^9}, {
   3.425045610921875*^9, 3.425045626859375*^9}, {3.42504601415625*^9, 
   3.4250460308125*^9}, 3.42504844646875*^9}],

Cell[TextData[StyleBox["current is equal :",
 FontSize->18]], "Text",
 CellChangeTimes->{{3.425045805140625*^9, 3.425045819390625*^9}, {
  3.425046059375*^9, 3.4250460643125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ii", "[", "t_", "]"}], "=", 
  RowBox[{
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"q", "[", "t", "]"}], "/.", "dsol"}], ",", "t"}], "]"}], "//", 
   "FullSimplify"}]}]], "Input",
 CellChangeTimes->{{3.421858575890625*^9, 3.42185860059375*^9}, 
   3.42185978534375*^9, {3.425044970265625*^9, 3.425044973109375*^9}, 
   3.425045792578125*^9, {3.42504583134375*^9, 3.425045902171875*^9}, 
   3.425046159609375*^9}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"ii", "[", "t", "]"}], "/.", "val"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "3"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.425048227375*^9, 3.425048255890625*^9}, {
  3.4250482978125*^9, 3.425048314734375*^9}}],

Cell[BoxData[
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"q", "[", "t", "]"}], "/.", "dsol"}], ",", 
      RowBox[{"ii", "[", "t", "]"}]}], "}"}], "/.", "val"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "10"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.425062930125*^9}],

Cell[BoxData[
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"q", "[", "t", "]"}], "/.", "dsol"}], ",", 
      RowBox[{"ii", "[", "t", "]"}]}], "}"}], "/.", "val"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "10"}], "}"}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", 
    RowBox[{"1", "/", "GoldenRatio"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.42185864471875*^9, 3.42185866109375*^9}, {
  3.42185974540625*^9, 3.421859746765625*^9}, {3.421859795796875*^9, 
  3.4218598040625*^9}, {3.4250459329375*^9, 3.4250459753125*^9}, {
  3.42504620640625*^9, 3.425046248984375*^9}, {3.425048063921875*^9, 
  3.4250480675*^9}, {3.425048103390625*^9, 3.42504813034375*^9}, {
  3.425048161*^9, 3.425048167296875*^9}, {3.425048204890625*^9, 
  3.425048218484375*^9}, {3.425062864265625*^9, 3.425062886140625*^9}}],

Cell[TextData[{
 StyleBox["\:0645\:0637\:0627\:0644\:0628 \:0648 \:062a\:0648\:0636\:064a\
\:062d\:0627\:062a \:0628\:064a\:0634\:062a\:0631 \:062f\:0631\n",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[ButtonBox["math2pc.persianblog.ir\n",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://www.math2pc.persianblog.ir"], None}],
  FontColor->RGBColor[0, 0, 1]],
 ButtonBox["math2pc.blog.ir",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://math2pc.blog.ir"], None},
  ButtonNote->"http://math2pc.blog.ir"]
}], "Text",
 CellChangeTimes->{{3.7447294760878*^9, 3.7447295059820004`*^9}, {
  3.7447295847976*^9, 3.7447295872488003`*^9}, {3.7447296318258*^9, 
  3.7447296338900003`*^9}, {3.7447297237511997`*^9, 3.7447297237511997`*^9}},
 TextAlignment->Center,
 TextJustification->0,
 FontSize->24]
},
WindowSize->{615, 527},
WindowMargins->{{103, Automatic}, {Automatic, 25}},
Magnification->1.25,
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 73, 1, 35, "Input"],
Cell[621, 23, 1686, 78, 163, "Text"],
Cell[2310, 103, 1057, 33, 103, "Input"],
Cell[3370, 138, 935, 24, 80, "Input"],
Cell[4308, 164, 179, 3, 43, "Text"],
Cell[4490, 169, 467, 12, 35, "Input"],
Cell[4960, 183, 307, 8, 35, "Input"],
Cell[5270, 193, 364, 11, 58, "Input"],
Cell[5637, 206, 886, 19, 58, "Input"],
Cell[6526, 227, 809, 20, 127, "Text"]
}
]
*)

(* End of internal cache information *)
